function codes = pq_compress(samples, codebook, pq_k, pq_G)
dFea = size(samples, 1);
nFea = size(samples, 2);

cb_norm = 0.5*sum(reshape(codebook,pq_G,dFea/pq_G*pq_k).^2,1);
codes = zeros(dFea / pq_G, nFea, 'uint8');
for i = 1:nFea
  [~,code] = min(...
                  reshape(cb_norm- ...
                          sum(reshape(bsxfun(@times,samples(:,i),codebook),pq_G,dFea/pq_G*pq_k),1), ...
                          dFea/pq_G,pq_k), ...
                 [],2);
  codes(:,i) = code;
end
end
