% milol sample using stanford dog dataset
addpath('..');%TODO: specify path to milol directory

train_data = load('train_data.mat');%TODO: set dataset file path
test_data = load('test_data.mat');%TODO: set dataset file path

% specifying parameters of training
train_params = struct;
train_params.C = 2^-2;
method_name = 'PA';% find method name in online_learning.m
pq_codebook = [];%product quantization(PQ) is not used
iternum = 100;
learn_count = 2;

cache_prefix = '/tmp/milol_cache_sample_';% model of each iteration will be output

ol = online_learning(method_name, train_params);

% do training and show results
scores = ol.fix_convergecheck(iternum, learn_count, train_data.train_data', test_data.test_data', train_data.train_info.labels, test_data.test_info.labels, pq_codebook, cache_prefix);
