% milol sample using stanford dog dataset with PQ (Product Quantized) coded samples
addpath('..');%TODO: specify path to milol directory

% load label information
train_data = load('train_data.mat','train_info');%TODO: set dataset file path
test_data = load('test_data.mat','test_info');%TODO: set dataset file path
% load samples
train_code = load('train_code.mat');
test_code = load('test_code.mat');

% specifying parameters of training
train_params = struct;
train_params.C = 2^-2;
method_name = 'PA';% find method name in online_learning.m
load('codebook.mat');%for pq_codebook
iternum = 100;
learn_count = 2;

cache_prefix = '/tmp/milol_cache_sample_pq_';% model of each iteration will be output

ol = online_learning(method_name, train_params);

% do training and show results
scores = ol.fix_convergecheck(iternum, learn_count, train_code.train_code, test_code.test_code, train_data.train_info.labels, test_data.test_info.labels, pq_codebook, cache_prefix);
